Bug 189947 - spectemplate-python.spec doesn't need to Require python-abi
spectemplate-python.spec doesn't need to Require python-abi
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-rpmdevtools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 20:49 EDT by John Mahowald
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 16:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mahowald 2006-04-25 20:49:30 EDT
If there is no need to explicitly Require a python-abi on FC4+ it doesn't need
to be in the template. Unless someone wants to use a template for an earlier FC
release. In which case it could be commented out.
Comment 1 Ville Skyttä 2006-04-26 04:22:31 EDT
From the package's %description: "These tools are designed for Fedora Core 2 and
later.".

Dropping support for old distro releases has to happen at some point, but that
should be done in one sweep through the whole package instead of individual files.

In this particular case, dropping the explicit python-abi dependency would mean
that if packages based on the spec template are rebuilt for RHEL4, they lack the
proper dependency on python.  I don't find that desirable, and as far as I know,
the explicit dep does no harm anywhere.  So as far as I'm concerned, it will
stay in the template at least until RHEL5 is out.  Feel free to reopen if you
disagree.
Comment 2 Ville Skyttä 2006-07-19 17:19:03 EDT
Reopening, scheduled to happen in rpmdevtools 5.0 for FC5 and later:
https://www.redhat.com/archives/fedora-extras-list/2006-July/msg00557.html
Comment 3 Ville Skyttä 2006-08-22 16:04:35 EDT
Done in 5.0-2

Note You need to log in before you can comment on or make changes to this bug.